import { ScatterTriangulationSeries } from "./ScatterTriangulationSeries";
import { ColorScale } from "./ColorScale";
import { Type, Point } from "igniteui-react-core";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { Color } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { RenderSurface } from "./RenderSurface";
import { SeriesView } from "./SeriesView";
import { WriteableBitmap } from "igniteui-react-core";
import { TriangleRasterizer } from "./TriangleRasterizer";
import { ScalerParams } from "./ScalerParams";
import { ObservableColorCollection } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ScatterAreaSeries extends ScatterTriangulationSeries {
    static $t: Type;
    constructor();
    private pt;
    pu: ColorScale;
    private p7;
    gt(a: any, b: string): any;
    p2: string;
    private py;
    private pz;
    protected get_d6(): boolean;
    protected set_d6(a: boolean): void;
    protected kp(a: any, b: string, c: any, d: any): void;
    k4(a: boolean): void;
    k2(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    protected p8(a: SeriesView): void;
    private p5;
    gq(a: Point): any;
    protected pr: number[];
    protected ps: number[];
    px(a: SeriesView, b: ScalerParams, c: ScalerParams): TriangleRasterizer;
    pq: Color[];
    protected p0(): ObservableColorCollection;
    protected pv(): ColorScale;
    jl(a: boolean, b: SeriesView): void;
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    pw: ScatterAreaSeriesView;
    p6(a: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ScatterAreaSeriesView extends SeriesView {
    static $t: Type;
    private b1;
    private bx;
    b0: number[];
    constructor(a: ScatterAreaSeries);
    ca(a: number, b: number): void;
    b6(a: any): void;
    private b5;
    private b4;
    private b3;
    by(): number[];
    bz(a: boolean): number[];
    private b9;
    b2(a: Rect, b: ColorScale, c: IFastItemColumn$1<number>): TriangleRasterizer;
    b8(a: TriangleRasterizer): void;
    b7(): void;
    protected a6(a: RenderingContext, b: boolean): void;
    cb(a: WriteableBitmap): void;
    al(a: any): void;
    getDefaultTooltipTemplate(): string;
}
